# sensor-calibrator

Find out what sensor value is returned depending on colored material.

## Set Up

![Setup of the ESP with Sensor](https://git.chaotikum.org/chamaeleonidae/sensor-calibration/raw/master/documentation/setup.png)

Start the ESP, log into the network, open the html-file which will establish a connection to the ESP and show the sensor value.

### Color Sensor
Testet with the TCS 3200 (but shuld also work with the TCS230).

Connect the Sensor as pictured.

In the setup frequency scaling [is set to 20%](https://git.chaotikum.org/chamaeleonidae/sensor-calibration/snippets/6).

<script src="https://git.chaotikum.org/chamaeleonidae/sensor-calibration/snippets/6.js"></script>

### Web Socket
Data is transfered from the ESP to the Website via a web socket. Using the Arduino WebSocketsServer Library.

## Specs
https://www.mouser.com/catalog/specsheets/TCS3200-E11.pdf
